## com.imcode.imcms.flow
Class EditDocumentInformationPageFlow

    java.lang.Object
      com.imcode.imcms.flow.PageFlow
          com.imcode.imcms.flow.DocumentPageFlow
              com.imcode.imcms.flow.EditDocumentPageFlow
                  com.imcode.imcms.flow.EditDocumentInformationPageFlow

All Implemented Interfaces:
  HttpSessionAttribute, java.io.Serializable

    public class EditDocumentInformationPageFlow

extends EditDocumentPageFlow

See Also:
  Serialized Form

Nested Class Summary
`static class` `EditDocumentInformationPageFlow.DocumentInformationPage`

Nested classes/interfaces inherited from class com.imcode.imcms.flow.DocumentPageFlow
`DocumentPageFlow.SaveDocumentCommand`

Field Summary
`static LocalizedMessage` `ALIAS_ERROR__ALREADY_EXIST`
`static LocalizedMessage` `ALIAS_ERROR__USED_BY_SYSTEM`
`static java.lang.String` `PAGE__DOCUMENT_INFORMATION`
`static java.lang.String` `REQUEST_PARAMETER__ADD_CATEGORY`
`static java.lang.String` `REQUEST_PARAMETER__ARCHIVED_DATE`
`static java.lang.String` `REQUEST_PARAMETER__ARCHIVED_TIME`
`static java.lang.String` `REQUEST_PARAMETER__CATEGORIES`
`static java.lang.String` `REQUEST_PARAMETER__CATEGORY_IDS_TO_ADD`
`static java.lang.String` `REQUEST_PARAMETER__CATEGORY_IDS_TO_REMOVE`
`static java.lang.String` `REQUEST_PARAMETER__COPY_HEADLINE_AND_TEXT_TO_TEXTFIELDS`
`static java.lang.String` `REQUEST_PARAMETER__CREATED_DATE`
`static java.lang.String` `REQUEST_PARAMETER__CREATED_TIME`
`static java.lang.String` `REQUEST_PARAMETER__DOCUMENT_ALIAS`
`static java.lang.String` `REQUEST_PARAMETER__ENABLED_I18N`
`static java.lang.String` `REQUEST_PARAMETER__GO_TO_ALIAS_LIST`
`static java.lang.String` `REQUEST_PARAMETER__GO_TO_CREATOR_BROWSER`
`static java.lang.String` `REQUEST_PARAMETER__GO_TO_IMAGE_BROWSER`
`static java.lang.String` `REQUEST_PARAMETER__GO_TO_PUBLISHER_BROWSER`
`static java.lang.String` `REQUEST_PARAMETER__HEADLINE`
`static java.lang.String` `REQUEST_PARAMETER__I18N_CODE`
`static java.lang.String` `REQUEST_PARAMETER__IMAGE`
`static java.lang.String` `REQUEST_PARAMETER__KEYWORDS`
`static java.lang.String` `REQUEST_PARAMETER__LANGUAGE`
`static java.lang.String` `REQUEST_PARAMETER__LINKABLE_BY_OTHER_USERS`
`static java.lang.String` `REQUEST_PARAMETER__MENUTEXT`
`static java.lang.String` `REQUEST_PARAMETER__MISSING_I18N_SHOW_RULE`
`static java.lang.String` `REQUEST_PARAMETER__MODIFIED_DATE`
`static java.lang.String` `REQUEST_PARAMETER__MODIFIED_TIME`
`static java.lang.String` `REQUEST_PARAMETER__PUBLICATION_END_DATE`
`static java.lang.String` `REQUEST_PARAMETER__PUBLICATION_END_TIME`
`static java.lang.String` `REQUEST_PARAMETER__PUBLICATION_START_DATE`
`static java.lang.String` `REQUEST_PARAMETER__PUBLICATION_START_TIME`
`static java.lang.String` `REQUEST_PARAMETER__REMOVE_CATEGORY`
`static java.lang.String` `REQUEST_PARAMETER__SEARCH_DISABLED`
`static java.lang.String` `REQUEST_PARAMETER__SECTIONS`
`static java.lang.String` `REQUEST_PARAMETER__STATUS`
`static java.lang.String` `REQUEST_PARAMETER__STATUS__APPROVED`
`static java.lang.String` `REQUEST_PARAMETER__STATUS__DISAPPROVED`
`static java.lang.String` `REQUEST_PARAMETER__STATUS__NEW`
`static java.lang.String` `REQUEST_PARAMETER__TARGET`
`static java.lang.String` `REQUEST_PARAMETER__VISIBLE_IN_MENU_FOR_UNAUTHORIZED_USERS`

Fields inherited from class com.imcode.imcms.flow.EditDocumentPageFlow
`document, PAGE__EDIT, URL_I15D_PAGE__PREFIX`

Fields inherited from class com.imcode.imcms.flow.DocumentPageFlow
`saveDocumentCommand`

Fields inherited from class com.imcode.imcms.flow.PageFlow
`REQUEST_ATTRIBUTE_OR_PARAMETER__FLOW, REQUEST_PARAMETER__CANCEL_BUTTON, REQUEST_PARAMETER__OK_BUTTON, REQUEST_PARAMETER__PAGE, returnCommand`

Constructor Summary
`EditDocumentInformationPageFlow(DocumentDomainObject document, DispatchCommand returnCommand, DocumentPageFlow.SaveDocumentCommand saveDocumentCommand)`

Method Summary
`protected void` `dispatchFromEditPage(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String page)`
`protected void` `dispatchOkFromEditPage(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` `dispatchToFirstPage(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`static java.lang.String` `getTargetFromRequest(javax.servlet.http.HttpServletRequest request, java.lang.String parameterName)`
`void` `setAdminButtonsHidden(boolean adminButtonsHidden)`

Methods inherited from class com.imcode.imcms.flow.EditDocumentPageFlow
`dispatchFromPage, dispatchOk, getDocument`

Methods inherited from class com.imcode.imcms.flow.DocumentPageFlow
`fromRequest, saveDocument, saveDocumentAndReturn`

Methods inherited from class com.imcode.imcms.flow.PageFlow
`dispatch, dispatchReturn, getSessionAttributeName, setSessionAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PARAMETER__HEADLINE

    public static final java.lang.String REQUEST_PARAMETER__HEADLINE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__MENUTEXT

    public static final java.lang.String REQUEST_PARAMETER__MENUTEXT

See Also:
  Constant Field Values

### REQUEST_PARAMETER__COPY_HEADLINE_AND_TEXT_TO_TEXTFIELDS

    public static final java.lang.String REQUEST_PARAMETER__COPY_HEADLINE_AND_TEXT_TO_TEXTFIELDS

See Also:
  Constant Field Values

### REQUEST_PARAMETER__IMAGE

    public static final java.lang.String REQUEST_PARAMETER__IMAGE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__DOCUMENT_ALIAS

    public static final java.lang.String REQUEST_PARAMETER__DOCUMENT_ALIAS

See Also:
  Constant Field Values

### REQUEST_PARAMETER__PUBLICATION_START_DATE

    public static final java.lang.String REQUEST_PARAMETER__PUBLICATION_START_DATE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__PUBLICATION_START_TIME

    public static final java.lang.String REQUEST_PARAMETER__PUBLICATION_START_TIME

See Also:
  Constant Field Values

### REQUEST_PARAMETER__ARCHIVED_DATE

    public static final java.lang.String REQUEST_PARAMETER__ARCHIVED_DATE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__ARCHIVED_TIME

    public static final java.lang.String REQUEST_PARAMETER__ARCHIVED_TIME

See Also:
  Constant Field Values

### REQUEST_PARAMETER__SECTIONS

    public static final java.lang.String REQUEST_PARAMETER__SECTIONS

See Also:
  Constant Field Values

### REQUEST_PARAMETER__PUBLICATION_END_DATE

    public static final java.lang.String REQUEST_PARAMETER__PUBLICATION_END_DATE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__PUBLICATION_END_TIME

    public static final java.lang.String REQUEST_PARAMETER__PUBLICATION_END_TIME

See Also:
  Constant Field Values

### REQUEST_PARAMETER__LANGUAGE

    public static final java.lang.String REQUEST_PARAMETER__LANGUAGE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__CATEGORIES

    public static final java.lang.String REQUEST_PARAMETER__CATEGORIES

See Also:
  Constant Field Values

### REQUEST_PARAMETER__CATEGORY_IDS_TO_REMOVE

    public static final java.lang.String REQUEST_PARAMETER__CATEGORY_IDS_TO_REMOVE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__CATEGORY_IDS_TO_ADD

    public static final java.lang.String REQUEST_PARAMETER__CATEGORY_IDS_TO_ADD

See Also:
  Constant Field Values

### REQUEST_PARAMETER__ADD_CATEGORY

    public static final java.lang.String REQUEST_PARAMETER__ADD_CATEGORY

See Also:
  Constant Field Values

### REQUEST_PARAMETER__REMOVE_CATEGORY

    public static final java.lang.String REQUEST_PARAMETER__REMOVE_CATEGORY

See Also:
  Constant Field Values

### REQUEST_PARAMETER__VISIBLE_IN_MENU_FOR_UNAUTHORIZED_USERS

    public static final java.lang.String REQUEST_PARAMETER__VISIBLE_IN_MENU_FOR_UNAUTHORIZED_USERS

See Also:
  Constant Field Values

### REQUEST_PARAMETER__LINKABLE_BY_OTHER_USERS

    public static final java.lang.String REQUEST_PARAMETER__LINKABLE_BY_OTHER_USERS

See Also:
  Constant Field Values

### REQUEST_PARAMETER__KEYWORDS

    public static final java.lang.String REQUEST_PARAMETER__KEYWORDS

See Also:
  Constant Field Values

### REQUEST_PARAMETER__SEARCH_DISABLED

    public static final java.lang.String REQUEST_PARAMETER__SEARCH_DISABLED

See Also:
  Constant Field Values

### REQUEST_PARAMETER__TARGET

    public static final java.lang.String REQUEST_PARAMETER__TARGET

See Also:
  Constant Field Values

### REQUEST_PARAMETER__CREATED_DATE

    public static final java.lang.String REQUEST_PARAMETER__CREATED_DATE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__CREATED_TIME

    public static final java.lang.String REQUEST_PARAMETER__CREATED_TIME

See Also:
  Constant Field Values

### REQUEST_PARAMETER__MODIFIED_DATE

    public static final java.lang.String REQUEST_PARAMETER__MODIFIED_DATE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__MODIFIED_TIME

    public static final java.lang.String REQUEST_PARAMETER__MODIFIED_TIME

See Also:
  Constant Field Values

### REQUEST_PARAMETER__STATUS

    public static final java.lang.String REQUEST_PARAMETER__STATUS

See Also:
  Constant Field Values

### REQUEST_PARAMETER__GO_TO_PUBLISHER_BROWSER

    public static final java.lang.String REQUEST_PARAMETER__GO_TO_PUBLISHER_BROWSER

See Also:
  Constant Field Values

### REQUEST_PARAMETER__GO_TO_CREATOR_BROWSER

    public static final java.lang.String REQUEST_PARAMETER__GO_TO_CREATOR_BROWSER

See Also:
  Constant Field Values

### REQUEST_PARAMETER__GO_TO_IMAGE_BROWSER

    public static final java.lang.String REQUEST_PARAMETER__GO_TO_IMAGE_BROWSER

See Also:
  Constant Field Values

### REQUEST_PARAMETER__GO_TO_ALIAS_LIST

    public static final java.lang.String REQUEST_PARAMETER__GO_TO_ALIAS_LIST

See Also:
  Constant Field Values

### PAGE__DOCUMENT_INFORMATION

    public static final java.lang.String PAGE__DOCUMENT_INFORMATION

See Also:
  Constant Field Values

### REQUEST_PARAMETER__MISSING_I18N_SHOW_RULE

    public static final java.lang.String REQUEST_PARAMETER__MISSING_I18N_SHOW_RULE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__ENABLED_I18N

    public static final java.lang.String REQUEST_PARAMETER__ENABLED_I18N

See Also:
  Constant Field Values

### REQUEST_PARAMETER__I18N_CODE

    public static final java.lang.String REQUEST_PARAMETER__I18N_CODE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__STATUS__NEW

    public static final java.lang.String REQUEST_PARAMETER__STATUS__NEW

See Also:
  Constant Field Values

### REQUEST_PARAMETER__STATUS__APPROVED

    public static final java.lang.String REQUEST_PARAMETER__STATUS__APPROVED

See Also:
  Constant Field Values

### REQUEST_PARAMETER__STATUS__DISAPPROVED

    public static final java.lang.String REQUEST_PARAMETER__STATUS__DISAPPROVED

See Also:
  Constant Field Values

### ALIAS_ERROR__ALREADY_EXIST

    public static final LocalizedMessage ALIAS_ERROR__ALREADY_EXIST

### ALIAS_ERROR__USED_BY_SYSTEM

    public static final LocalizedMessage ALIAS_ERROR__USED_BY_SYSTEM

Constructor Detail

### EditDocumentInformationPageFlow

    public EditDocumentInformationPageFlow(DocumentDomainObject document,
                                           DispatchCommand returnCommand,
                                           DocumentPageFlow.SaveDocumentCommand saveDocumentCommand)

Method Detail

### dispatchFromEditPage

    protected void dispatchFromEditPage(javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpServletResponse response,
                                        java.lang.String page)
                                 throws java.io.IOException,
                                        javax.servlet.ServletException

  Specified by:
    `dispatchFromEditPage` in class `EditDocumentPageFlow`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchToFirstPage

    protected void dispatchToFirstPage(javax.servlet.http.HttpServletRequest request,
                                       javax.servlet.http.HttpServletResponse response)
                                throws java.io.IOException,
                                       javax.servlet.ServletException

  Specified by:
    `dispatchToFirstPage` in class `PageFlow`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchOkFromEditPage

    protected void dispatchOkFromEditPage(javax.servlet.http.HttpServletRequest request,
                                          javax.servlet.http.HttpServletResponse response)
                                   throws java.io.IOException,
                                          javax.servlet.ServletException

  Specified by:
    `dispatchOkFromEditPage` in class `EditDocumentPageFlow`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### getTargetFromRequest

    public static java.lang.String getTargetFromRequest(javax.servlet.http.HttpServletRequest request,
                                                        java.lang.String parameterName)

### setAdminButtonsHidden

    public void setAdminButtonsHidden(boolean adminButtonsHidden)